- Main Page
- Modules
- Data Structures
- Files
- Examples

- Alphabetical List
- Data Structures
- Class Hierarchy
- Data Fields

# timer Struct Reference
[Timer library]

`#include <timer.h>`

## Detailed Description

A timer.

This structure is used for declaring a timer. The timer must be set with timer_set() before it can be used.

Examples:

  dhcpc.h, example-mainloop-with-arp.c, example-mainloop-without-arp.c, and webclient.h.

Definition at line 74 of file timer.h.

## Data Fields
clock_time_t | start
clock_time_t | interval